//source: altern.h
//Last changed 02.08.2006

//----------
//THE FOLLOWING PARAMETERS WILL REGULATE THE WAY THE EXE FILE IS CREATED
//IF AN OPTION (A #define _parameter) IS LEFT HERE IN THE CODE, THAN THE
//CODE SEGMENTS BELONGING TO THIS PARAMETER WILL BE BUILT IN TO THE CODE 
//IF AN OPTION IS NOT NEEDED IT HAS TO BE COMMENTED OUT HERE, AND THE RELATED
//CODE SEGMENTS WILL NOT BE ADDED TO THE EXE FILE TO MAKE EXECUTION FASTER 
#ifndef _GNU_LINUX //not LINUX platform
//#define _OLD_HEADER //if the old style header (name.h) are used, THE NEW STYLE headers are used by default
		//this option has to be commented out normally
//- - - - - - -
//RMCt++ code was never tested on MAC, there is no guarantee, that it can be compiled without
//any change, this was only kept from historical reasons!!!
//#define _CODE_WARRIOR_MAC //DEFAULT is the PC or UNIX version, this option has to be commented out normally
//- - - - - - -

#endif
//----------------------------------------------------------------

#if defined _OLD_HEADER 
	#include<iostream.h>
	#include<fstream.h>
	#include<iomanip.h>
#else
	#include<iostream>
	#include<fstream>
	#include<iomanip>
	//These are needed for the new style header file
	using std::ifstream;
	using std::ofstream;
	using std::istream;
	using std::ostream;
	using std::cin;
	using std::cout;
	using std::cerr;
	using std::endl;
	using std::ios;
#endif


#include<math.h>
#include<stdlib.h>
#include<stdio.h>
#include<string.h>
#include<time.h>


//functions with different source files depending on the compiler
//to open text files, replaces file.open(filename)
void cleanopen(ifstream &file, char *filename);
//to open binary files, replaces file.open(filename,ios::binary)
void cleanopen_bin(ifstream &file, char *filename);
//ios::nocreate is not recognised by codewarrior and is necessary for VisualC++, if it is using the old .h header files, 
//but it is not part of the new standard C++ library files

void cleanexit();//to replace exit(EXIT_FAILURE);
//needed because on windows, the console windows collapses at exit and therefore
//prevents the reading of any error message


